Skip to navigation

Get a customer

One customer by its id.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

customer_idintegerRequired>=1

The customer’s id.

Response

The requested object.
idinteger
organization_idstring
namestring
typeenum or any
is_taxable_dealerboolean
created_atdatetime
updated_atdatetime
external_idstring or nullOptional
countrystring or nullOptional
owner_idinteger or nullOptional
contact_detailsmap from strings to any or nullOptional
billing_detailsmap from strings to any or nullOptional
payout_informationmap from strings to any or nullOptional
settingsmap from strings to any or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error